import java.io.*;
import Text;

class faktoriyel2
{
  public static long faktoriyel(int x)
  { 
   if( x <= 1 ) 
      return 1;
   else
      return x * faktoriyel( x - 1);  
  } 
  
  public static void main(String args[]) throws IOException
  {
  DataInputStream cin=new DataInputStream(System.in);
  int faktoriyelsayi;
  System.out.println("Bir tamsayi giriniz:");
  faktoriyelsayi=Text.readInt(cin);
  System.out.println(faktoriyelsayi+" faktoriyel:"   +   faktoriyel(faktoriyelsayi));
  }
}

